"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Debug = require("debug");
const debug = Debug("service:stream");
const stream = require("stream");
class CustomStream extends stream.Writable {
    constructor(gcsStream, dontEnd = false) {
        super();
        this.writable = true;
        this.gcsStream = gcsStream;
        this.dontEnd = dontEnd;
    }
    write(chunk, callback) {
        this.gcsStream.write(chunk);
        if (callback) {
            callback();
        }
        return true;
    }
    end() {
        if (!this.dontEnd) {
            this.gcsStream.end();
        }
    }
}
exports.default = CustomStream;
