import { Metrics } from "./Metrics";
import GoogleStorage from "./GoogleStorage";
import { ServiceConfig } from "./interfaces";
import TransactionProcessor from "./TransactionProcessor";
export default class Service {
    readonly config: ServiceConfig;
    readonly metrics: Metrics;
    readonly googleStorage: GoogleStorage;
    readonly transactionProcess: TransactionProcessor;
    private readonly httpServer;
    private alive;
    private ready;
    constructor(config: ServiceConfig);
    private shutdownOnErrorIfNotProduction;
    private shutdownGracefully;
    private init;
    run(): Promise<void>;
    close(): Promise<void>;
    static isProduction(): boolean;
    setAliveState(state: boolean): void;
    isAlive(): boolean;
    getHealthInfo(): [number, any];
    setReadyState(state: boolean): void;
    isReady(): boolean;
}
//# sourceMappingURL=Service.d.ts.map